<?php
/**
 * イベントカレンダー
 */
require_once 'Platy/Widget.php';

require_once 'Platy/Calendar.php';

class Platy_Widget_EventCalendar extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }
    
    public function getSummary()
    {
        return 'イベントカレンダー';
    }
    
    public function show()
    {
        global $db;
        
        echo '<div class="widget">' . "\n";
        echo '<div class="title">' . "\n";
        echo 'イベントカレンダー';
        echo '</div>' . "\n";
        echo '<div class="main">' . "\n";
        
        $ym = date('Ym');
        $calendar = new Platy_Calendar($ym);
        $calendar->show();
        
        echo '</div>' . "\n";
        echo '</div>' . "\n";
    }
}
?>